Mapd development requriments


#1

i want to learn internals in mapd
so i need mapd developer requriments for ubuntu softwere
i need to setup mapd development code in local

is there any guide how to setup in local for development usage


#2

Hi @nagulan,

Have you tried running our Ubuntu dependencies script? The dependency scripts for all of the operating systems we do our development work on are located here: https://github.com/omnisci/mapd-core/tree/master/scripts

We don’t recommend Ubuntu 16.04 anymore, since many of the packages included in apt are too old and you end up having to build a lot of stuff manually. On Ubuntu 18.04, you should be able to run the mapd-deps-ubuntu.sh script and get everything you need to build MapD Core.

A list of CMake parameters and some instructions for building are found in the MapD Core repository README file. But, once dependencies are installed, you should be able to simply do the following:

mkdir build
cd build
cmake -DCMAKE_BUILD_TYPE=debug ..
make -j $(nproc)

(copied and pasted from the README) to get a debug build up and running.


Mapd error while setting up